Name:           qps
Version:        1.9.17
Release:        1%{?dist}
Summary:        Visual process status monitor

Group:          Applications/System
License:        GPL
URL:            http://qps.kldp.net/
Source0:        http://kldp.net/frs/download.php/3437/qps-1.9.17.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  qt-devel

%description
Qps is a GUI version of "ps" or "top".


%prep
%setup -q


%build
unset QTDIR || : ; . %{_sysconfdir}/profile.d/qt.sh
#export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
qmake
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
install -D -p -m 0755 qps %{buildroot}%{_bindir}/qps
install -D -p -m 0644 qps.1 %{buildroot}%{_mandir}/man1/qps.1
install -D -p -m 0644 icon/icon.xpm %{buildroot}%{_datadir}/pixmaps/qps.xpm

desktop-file-install --vendor fedora \
	--add-category=X-Fedora \
	--dir %{buildroot}%{_datadir}/applications qps.desktop


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc CHANGES COPYING
%{_bindir}/qps
%{_datadir}/applications/*qps.desktop
%{_datadir}/pixmaps/qps.xpm
%{_mandir}/man1/qps.1*


%changelog
* Sat Jul  1 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.17-1
- Update to 1.9.17

* Mon May 29 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.16-1
- Update to 1.9.16
- Turn on optflags
- Change e-mail address in ChangeLog entries

* Tue Apr 11 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.15-1
- Update to 1.9.15

* Wed Mar 22 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.14-1
- Update to 1.9.14

* Thu Mar  9 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.13-1
- Update to 1.9.13

* Wed Feb 22 2006 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.12-1
- Update to 1.9.12
- Add COPYING file

* Sat Nov 12 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.11-2
- Increase release tag (always do `cvs ci' before `make tag' ;) )

* Sat Nov 12 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.11-1
- Update to 1.9.11.

* Thu Aug 25 2005 Dawid Gajownik <gajownik[AT]gmail.com> - 1.9.10-1
- Initial RPM release.
